Index: FOIAVistA/tag/r/SURGERY-SR/SROALTP.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROALTP.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROALTP.m	(revision 636)
@@ -1,20 +1,13 @@
-SROALTP ;BIR/MAM - TRANSMITTED ASSESSMENTS (PRINTER) ;01/07/08
- ;;3.0; Surgery ;**32,50,142,153,160,166**;24 Jun 93;Build 6
+SROALTP ;BIR/MAM - TRANSMITTED ASSESSMENTS (PRINTER) ;01/18/07
+ ;;3.0; Surgery ;**32,50,142,153,160**;24 Jun 93;Build 7
  S SRPAGE=1,(SRSOUT,SRDFN)=0 D HDR Q:SRSOUT
- I SRSRT=2 F  S SRSD=$O(^SRF("AT",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AT",SRSD,SRTN)) Q:'SRTN!SRSOUT  D
- .S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D SET
- I SRSRT=1 F  S SRSD=$O(^SRF("AC",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AC",SRSD,SRTN)) Q:'SRTN!SRSOUT  D
- .S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D SET
+ F  S SRSD=$O(^SRF("AC",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AC",SRSD,SRTN)) Q:'SRTN!SRSOUT  S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D SET
  Q
 SET ; print assessments
- K SRCPTT,SREX S SRCPTT="NOT ENTERED",SREX=""
+ K SRCPTT S SRCPTT="NOT ENTERED"
  I $Y+5>IOSL S SRPAGE=SRPAGE+1 D HDR I SRSOUT Q
- S SR("RA")=^SRF(SRTN,"RA")
- I SRAST=1 Q:'($P(SR("RA"),"^",2)="N"!($P(SR("RA"),"^",2)="C"))!'($P(SR("RA"),"^",6)="Y")
- I SRAST=2 Q:'($P(SR("RA"),"^",2)="N"!($P(SR("RA"),"^",2)="C"))!'($P(SR("RA"),"^",6)="N")
- S SRAT="",Y=$E($P(SR("RA"),"^",8),1,7) S:Y="" Y=$E($P(SR("RA"),"^",4),1,7) I Y D D^DIQ S SRAT=Y
  S SRA(0)=^SRF(SRTN,0),DFN=$P(SRA(0),"^") N I D DEM^VADPT S SRANM=VADM(1),SRASSN=VA("PID") K VADM
  S SROPER=$P(^SRF(SRTN,"OP"),"^") I $O(^SRF(SRTN,13,0)) S SROTHER=0 F  S SROTHER=$O(^SRF(SRTN,13,SROTHER)) Q:'SROTHER  D OTHER
- S X=$P(SR("RA"),"^",2) I X="C" S SROPER="* "_SROPER
+ S X=$P($G(^SRF(SRTN,"RA")),"^",2) I X="C" S SROPER="* "_SROPER
  K SROPS,MM,MMM S:$L(SROPER)<81 SROPS(1)=SROPER I $L(SROPER)>80 S SROPER=SROPER_"  " F M=1:1 D LOOP Q:MMM=""
  S SRSS=$P(SRA(0),"^",4),SRSS=$S(SRSS:$P(^SRO(137.45,SRSS,0),"^"),1:"SPECIALTY NOT ENTERED")
@@ -22,7 +15,6 @@
  D TECH^SROPRIN
  S Y=$P(SRA(0),"^",9) D D^DIQ S SRDT=$P(Y,"@")
- S X=$P(SR("RA"),"^",7) I X'="" S SREX="EXCLUDED"
- W !,SRTN,?20,SRANM_" "_VA("PID"),?67,$P(SRSS,"("),?107,SRTECH,!,SRDT,?20,SROPS(1),?107,SRAT I $D(SROPS(2)) W !,?20,SROPS(2) I $D(SROPS(3)) W !,?20,SROPS(3) I $D(SROPS(4)) W !,?20,SROPS(4)
- N I,SRPROC,SRL S SRL=100 D CPTS^SROAUTL0 W !,SREX,?20,"CPT Codes: "
+ W !,SRTN,?20,SRANM_" "_VA("PID"),?67,$P(SRSS,"("),?107,SRTECH,!,SRDT,?20,SROPS(1) I $D(SROPS(2)) W !,?20,SROPS(2) I $D(SROPS(3)) W !,?20,SROPS(3) I $D(SROPS(4)) W !,?20,SROPS(4)
+ N I,SRPROC,SRL S SRL=100 D CPTS^SROAUTL0 W !,?20,"CPT Codes: "
  F I=1:1 Q:'$D(SRPROC(I))  W:I=1 ?31,SRPROC(I) W:I'=1 !,?31,SRPROC(I)
  W ! F LINE=1:1:132 W "-"
@@ -40,4 +32,4 @@
  W:$Y @IOF W !,?52,"TRANSMITTED RISK ASSESSMENTS",?120,"PAGE "_SRPAGE,!,?(132-$L(SRINST)\2),SRINST,!,?58,"SURGERY SERVICE",?100,"DATE REVIEWED:"
  W !,?(132-$L(SRFRTO)\2),SRFRTO,?100,"REVIEWED BY:"
- W !!,"ASSESSMENT #",?20,"PATIENT",?67,"SURGICAL SPECIALTY",?107,"ANESTHESIA TECHNIQUE",!,"OPERATION DATE",?20,"OPERATIVE PROCEDURE(S)",?107,"TRANSMISSION DATE",! F LINE=1:1:132 W "="
+ W !!,"ASSESSMENT #",?20,"PATIENT",?67,"SURGICAL SPECIALTY",?107,"ANESTHESIA TECHNIQUE",!,"OPERATION DATE",?20,"OPERATIVE PROCEDURE(S)",! F LINE=1:1:132 W "="
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROALTS.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROALTS.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROALTS.m	(revision 636)
@@ -1,11 +1,7 @@
-SROALTS ;BIR/MAM - TRANSMITTED ASSESSMENTS ;01/07/08
- ;;3.0; Surgery ;**38,50,142,153,160,166**;24 Jun 93;Build 6
- S SRFRTO=$S(SRSRT=2:"TRANSMISSION DATES ",1:"OPERATION DATES ")_SRFRTO
+SROALTS ;BIR/MAM - TRANSMITTED ASSESSMENTS ;01/18/07
+ ;;3.0; Surgery ;**38,50,142,153,160**;24 Jun 93;Build 7
  I $E(IOST)="P" D ^SROALTSP Q
  S SRSOUT=0 D HDR
- I SRSRT=2 F  S SRSD=$O(^SRF("AT",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AT",SRSD,SRTN)) Q:'SRTN!SRSOUT  D
- .S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D UTL
- I SRSRT=1 F  S SRSD=$O(^SRF("AC",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AC",SRSD,SRTN)) Q:'SRTN!SRSOUT  D
- .S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D UTL
+ F  S SRSD=$O(^SRF("AC",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AC",SRSD,SRTN)) Q:'SRTN!SRSOUT  S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D UTL
  S SRSS="" F  S SRSS=$O(^TMP("SRA",$J,SRSS)) Q:SRSS=""!SRSOUT  D SS S SRTN=0 F J=0:0 S SRTN=$O(^TMP("SRA",$J,SRSS,SRTN)) Q:'SRTN!SRSOUT  D SET
  I '$D(^TMP("SRA",$J)) W $$NODATA^SROUTL0()
@@ -14,24 +10,19 @@
  I SRFLG,$P(^SRF(SRTN,0),"^",4)'=SRASP Q
  S SRSS=$P(^SRF(SRTN,0),"^",4),SRSS=$S(SRSS:$P(^SRO(137.45,SRSS,0),"^"),1:"SPECIALTY NOT ENTERED")
- S SR("RA")=^SRF(SRTN,"RA")
- I SRAST=1 Q:'($P(SR("RA"),"^",2)="N"!($P(SR("RA"),"^",2)="C"))!'($P(SR("RA"),"^",6)="Y")
- I SRAST=2 Q:'($P(SR("RA"),"^",2)="N"!($P(SR("RA"),"^",2)="C"))!'($P(SR("RA"),"^",6)="N")
  S ^TMP("SRA",$J,SRSS,SRTN)=""
  Q
 SET ; print assessments
- K SRCPTT,SREX S SRCPTT="NOT ENTERED",SREX=""
+ K SRCPTT S SRCPTT="NOT ENTERED"
  I $Y+5>IOSL D PAGE I SRSOUT Q
- S SR("RA")=^SRF(SRTN,"RA")
- S SRAT="",Y=$E($P(SR("RA"),"^",8),1,7) S:Y="" Y=$E($P(SR("RA"),"^",4),1,7) I Y D D^DIQ S SRAT=Y
+ S SR("RA")=^SRF(SRTN,"RA"),SRAT="",Y=$E($P(SR("RA"),"^",4),1,7) I Y D D^DIQ S SRAT=Y
  S SRA(0)=^SRF(SRTN,0),DFN=$P(SRA(0),"^") N I D DEM^VADPT S SRANM=VADM(1),SRASSN=VA("PID") K VADM
  I $L(SRANM)>19 S SRANM=$P(SRANM,",")_","_$E($P(SRANM,",",2))_"."
  S SROPER=$P(^SRF(SRTN,"OP"),"^") I $O(^SRF(SRTN,13,0)) S SROTHER=0 F I=0:0 S SROTHER=$O(^SRF(SRTN,13,SROTHER)) Q:'SROTHER  D OTHER
- S X=$P(SR("RA"),"^",2) I X="C" S SROPER="* "_SROPER
+ S X=$P($G(^SRF(SRTN,"RA")),"^",2) I X="C" S SROPER="* "_SROPER
  K SROPS,MM,MMM S:$L(SROPER)<34 SROPS(1)=SROPER I $L(SROPER)>33 S SROPER=SROPER_"  " F M=1:1 D LOOP Q:MMM=""
  D TECH^SROPRIN
  S Y=$P(SRA(0),"^",9) D D^DIQ S SRDT=$P(Y,"@")
- S X=$P(SR("RA"),"^",7) I X'="" S SREX="EXCLUDED"
  W !,SRTN,?20,SRANM_" "_VA("PID"),?55,SRAT,!,SRDT,?20,SROPS(1),?55,SRTECH S SRAO=1 F I=0:0 S SRAO=$O(SROPS(SRAO)) Q:'SRAO  W !,?20,SROPS(SRAO)
- N I,SRPROC,SRL S SRL=48 D CPTS^SROAUTL0 W !,SREX,?20,"CPT Codes: "
+ N I,SRPROC,SRL S SRL=48 D CPTS^SROAUTL0 W !,?20,"CPT Codes: "
  F I=1:1 Q:'$D(SRPROC(I))  W:I=1 ?31,SRPROC(I) W:I'=1 !,?31,SRPROC(I)
  W ! F LINE=1:1:80 W "-"
Index: FOIAVistA/tag/r/SURGERY-SR/SROALTSP.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROALTSP.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROALTSP.m	(revision 636)
@@ -1,9 +1,6 @@
-SROALTSP ;BIR/MAM - TRANSMITTED ASSESSMENTS (PRINTER) ;01/07/08
- ;;3.0; Surgery ;**32,50,142,153,160,166**;24 Jun 93;Build 6
+SROALTSP ;BIR/MAM - TRANSMITTED ASSESSMENTS (PRINTER) ;01/18/07
+ ;;3.0; Surgery ;**32,50,142,153,160**;24 Jun 93;Build 7
  K ^TMP("SRA",$J) S SRPAGE=0,(SRSOUT,SRDFN)=0 D HDR Q:SRSOUT
- I SRSRT=2 F  S SRSD=$O(^SRF("AT",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AT",SRSD,SRTN)) Q:'SRTN!SRSOUT  D
- .S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D UTL
- I SRSRT=1 F  S SRSD=$O(^SRF("AC",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AC",SRSD,SRTN)) Q:'SRTN!SRSOUT  D
- .S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D UTL
+ F  S SRSD=$O(^SRF("AC",SRSD)) Q:'SRSD!(SRSD>SRED)!SRSOUT  S SRTN=0 F  S SRTN=$O(^SRF("AC",SRSD,SRTN)) Q:'SRTN!SRSOUT  S SR("RA")=$G(^SRF(SRTN,"RA")) I $P(SR("RA"),"^")="T",$D(^SRF(SRTN,0)),$$MANDIV^SROUTL0(SRINSTP,SRTN) D UTL
  S SRSS="" F  S SRSS=$O(^TMP("SRA",$J,SRSS)) Q:SRSS=""!SRSOUT  D SS S SRTN=0 F  S SRTN=$O(^TMP("SRA",$J,SRSS,SRTN)) Q:'SRTN!SRSOUT  D SET
  I '$D(^TMP("SRA",$J)) W $$NODATA^SROUTL0()
@@ -13,23 +10,18 @@
  S SRSS=$P(^SRF(SRTN,0),"^",4),SRSS=$S(SRSS:$P(^SRO(137.45,SRSS,0),"^"),1:"SPECIALTY NOT ENTERED")
  S TYPE=$P(SR("RA"),"^",2) I SRSS="SPECIALTY NOT ENTERED",TYPE="C" S SRSS="N/A"
- S SR("RA")=^SRF(SRTN,"RA")
- I SRAST=1 Q:'($P(SR("RA"),"^",2)="N"!($P(SR("RA"),"^",2)="C"))!'($P(SR("RA"),"^",6)="Y")
- I SRAST=2 Q:'($P(SR("RA"),"^",2)="N"!($P(SR("RA"),"^",2)="C"))!'($P(SR("RA"),"^",6)="N")
  S ^TMP("SRA",$J,SRSS,SRTN)=""
  Q
 SET ; print assessments
- K SRCPTT,SREX S SRCPTT="NOT ENTERED",SREX=""
+ K SRCPTT S SRCPTT="NOT ENTERED"
  I $Y+5>IOSL D HDR I SRSOUT Q
- S SR("RA")=^SRF(SRTN,"RA")
- S SRAT="",Y=$E($P(SR("RA"),"^",8),1,7) S:Y="" Y=$E($P(SR("RA"),"^",4),1,7) I Y D D^DIQ S SRAT=Y
+ S SR("RA")=^SRF(SRTN,"RA"),SRAT="",Y=$E($P(SR("RA"),"^",4),1,7) I Y D D^DIQ S SRAT=Y
  S SRA(0)=^SRF(SRTN,0),DFN=$P(SRA(0),"^") N I D DEM^VADPT S SRANM=VADM(1),SRASSN=VA("PID") K VADM
  S SROPER=$P(^SRF(SRTN,"OP"),"^") I $O(^SRF(SRTN,13,0)) S SROTHER=0 F  S SROTHER=$O(^SRF(SRTN,13,SROTHER)) Q:'SROTHER  D OTHER
- S X=$P(SR("RA"),"^",2) I X="C" S SROPER="* "_SROPER
+ S X=$P($G(^SRF(SRTN,"RA")),"^",2) I X="C" S SROPER="* "_SROPER
  K SROPS,MM,MMM S:$L(SROPER)<81 SROPS(1)=SROPER I $L(SROPER)>80 S SROPER=SROPER_"  " F M=1:1 D LOOP Q:MMM=""
  D TECH^SROPRIN
  S Y=$P(SRA(0),"^",9) D D^DIQ S SRDT=$P(Y,"@")
- S X=$P(SR("RA"),"^",7) I X'="" S SREX="EXCLUDED"
  W !,SRTN,?20,SRANM_" "_VA("PID"),?67,SRAT,?107,SRTECH,!,SRDT,?20,SROPS(1) S SRAO=1 F  S SRAO=$O(SROPS(SRAO)) Q:'SRAO  W !,?20,SROPS(SRAO)
- N I,SRPROC,SRL S SRL=100 D CPTS^SROAUTL0 W !,SREX,?20,"CPT Codes: "
+ N I,SRPROC,SRL S SRL=100 D CPTS^SROAUTL0 W !,?20,"CPT Codes: "
  F I=1:1 Q:'$D(SRPROC(I))  W:I=1 ?31,SRPROC(I) W:I'=1 !,?31,SRPROC(I)
  D LINE
Index: FOIAVistA/tag/r/SURGERY-SR/SROAMEAS.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAMEAS.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAMEAS.m	(revision 636)
@@ -1,4 +1,4 @@
 SROAMEAS ;BIR/MAM - INPUT TRANSFORMS, HEIGHT & WEIGHT ;03/20/06
- ;;3.0; Surgery ;**38,125,153,166**;24 Jun 93;Build 6
+ ;;3.0; Surgery ;**38,125,153**;24 Jun 93;Build 11
 H Q:'$D(X)  I X'?.N1"C"&(X'?.N1"c"),(+X'=X) K X Q
  I +X=X S X=X+.5\1 I X'>47.9!(X'<86.1) K X Q
@@ -11,6 +11,2 @@
  I X?.N1"K",(X'>22.9!(X'<318.1)) K X
  Q
-HWC ; reject NS entry if the case is cardiac one
- S X=$S(X="ns":"NS",1:X)
- I $P($G(^SRF($S($G(SRTN):SRTN,1:DA),"RA")),"^",2)="C",X="NS" S X=""
- Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROAMIS.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAMIS.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAMIS.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAMIS ;BIR/MAM - ANESTHESIA AMIS REPORT ;11/26/07
- ;;3.0; Surgery ;**22,34,38,77,50,86,166**;24 Jun 93;Build 6
+SROAMIS ;B'HAM ISC/MAM - ANESTHESIA AMIS REPORT ; [ 12/16/98  2:06 PM ]
+ ;;3.0; Surgery ;**22,34,38,77,50,86**;24 Jun 93
 UTL ; set up ^TMP("SROAMIS",$J
  S PRIN=$P($G(^SRF(SRDFN,.3)),"^",8) I PRIN="" S PRIN="O"
@@ -33,7 +33,5 @@
  Q
 EN ; entry for SROAMIS option
- W @IOF,!,"Anesthesia AMIS",!!,"This report is no longer available.",!
- K DIR S DIR(0)="E" D ^DIR K DIR D END
- Q
+ W @IOF,!,"Anesthesia AMIS",!
 DATE D DATE^SROUTL(.SDATE,.EDATE,.SRSOUT) G:SRSOUT END S SRD=SDATE-.0001
  N SRINSTP S SRINST=$$INST^SROUTL0() G:SRINST="^" END S SRINSTP=$P(SRINST,U),SRINST=$S(SRINST["ALL DIVISIONS":SRINST,1:$P(SRINST,U,2))
Index: FOIAVistA/tag/r/SURGERY-SR/SROAOP.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAOP.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAOP.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAOP ;BIR/MAM - ENTER OPERATION INFO ;11/27/07
- ;;3.0; Surgery ;**19,38,47,63,67,81,86,97,100,125,142,153,160,166**;24 Jun 93;Build 6
+SROAOP ;BIR/MAM - ENTER OPERATION INFO ;04/24/07
+ ;;3.0; Surgery ;**19,38,47,63,67,81,86,97,100,125,142,153,160**;24 Jun 93;Build 7
  I '$D(SRTN) W !!,"A Surgery Risk Assessment must be selected prior to using this option.",!!,"Press <RET> to continue  " R X:DTIME G END
  S SRSOUT=0,SRSUPCPT=1 D ^SROAUTL
@@ -65,10 +65,4 @@
  S SROPS(M)="" F LOOP=1:1 S MM=$P(SROPER," "),MMM=$P(SROPER," ",2,200) Q:MMM=""  Q:$L(SROPS(M))+$L(MM)'<57  S SROPS(M)=SROPS(M)_MM_" ",SROPER=MMM
  Q
-ANES N SRANE,SRNEW
- I $P(SRAO(10),"^")="NOT ENTERED",'$O(^SRF(SRTN,6,0)) D  Q
- .K DIR S DIR("A")="Select ANESTHESIA TECHNIQUE: ",DIR(0)="130.06,.01OA" D ^DIR K DIR S SRANE=Y I $D(DTOUT)!$D(DUOUT)!(Y="") Q
- .K DD,DO S DIC="^SRF(SRTN,6,",X=SRANE,DIC(0)="L" D FILE^DICN K DIC,DD,DO I '+Y Q
- .S SRNEW=+Y
- .K DA,DIE,DR S DA=SRNEW,DA(1)=SRTN,DIE="^SRF(SRTN,6,",DR=".05T;42T" D ^DIE
- K DR,DIE,DA S DA=SRTN,DR=".37T",DR(2,130.06)=".01T;.05T;42T",DIE=130 D ^DIE K DR
+ANES K DR,DIE,DA S DA=SRTN,DR=".37T",DR(2,130.06)=".01T;.05T;42T",DIE=130 D ^DIE K DR
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPAS.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPAS.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPAS.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPAS ;BIR/MAM - PRINT A COMPLETE ASSESSMENT ;03/03/08
- ;;3.0; Surgery ;**38,47,81,88,111,112,100,125,153,166**;24 Jun 93;Build 6
+SROAPAS ;BIR/MAM - PRINT A COMPLETE ASSESSMENT ; [ 04/13/04  2:50 PM ]
+ ;;3.0; Surgery ;**38,47,81,88,111,112,100,125,153**;24 Jun 93;Build 11
  S SRSOUT=0,SRPG=0,SR("RA")=$G(^SRF(SRTN,"RA")),SRATYPE=$P(SR("RA"),"^",2) F I=200:1:208,200.1 S SRA(I)=$G(^SRF(SRTN,I))
  S SRA("OP")=^SRF(SRTN,"OP"),SRA("CON")=$G(^SRF(SRTN,"CON"))
@@ -48,6 +48,4 @@
  S (X,Z)=SRPTMODT(17) S:X'="" Z=$P(X,"@")_"  "_$E($P(X,"@",2),1,5) W !,"Discharged/Transferred to Chronic Care:",?47,Z
  W !,"In/Out-Patient Status:",?47,$S($P($G(^SRF(SRTN,0)),"^",12)="I":"INPATIENT",$P($G(^SRF(SRTN,0)),"^",12)="O":"OUTPATIENT",1:"")
- S Y=$P($G(^SRF(SRTN,209)),"^",17) X ^DD("DD") W !,"Date Surgery Consult Requested:",?47,Y
- S Y=$P($G(^SRF(SRTN,209)),"^",15) X ^DD("DD") W !,"Surgery Consult Date:",?47,Y
  I $E(IOST)="P" W ! F MOE=1:1:80 W "-"
  I $E(IOST)'="P" D PAGE I SRSOUT G END
@@ -61,5 +59,5 @@
 END Q:$D(SRABATCH)  I 'SRSOUT,$E(IOST)'="P" W !!,"Press <RET> to continue  " R X:DTIME
  W:$E(IOST)="P" @IOF I $D(ZTQUEUED) Q:$G(ZTSTOP)  S ZTREQ="@" Q
- D ^%ZISC K SROETH,SRTN W @IOF D ^SRSKILL
+ D ^%ZISC K SRTN W @IOF D ^SRSKILL
  Q
  ;
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPCA1.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPCA1.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPCA1.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPCA1 ;BIR/MAM - PRINT CARDIAC CATH INFO ;02/05/08
- ;;3.0; Surgery ;**38,63,71,88,95,125,142,153,166**;24 Jun 93;Build 6
+SROAPCA1 ;BIR/MAM - PRINT CARDIAC CATH INFO ;04/05/04
+ ;;3.0; Surgery ;**38,63,71,88,95,125,142,153**;24 Jun 93;Build 11
  N SRX F I=200:1:202,206,208,209,202.1 S SRA(I)=$G(^SRF(SRTN,I))
  I $Y+14>IOSL D PAGE^SROAPCA I SRSOUT Q
@@ -46,13 +46,12 @@
  S Y=$P($G(^SRF(SRTN,1.1)),"^",3),SRX=1.13,SRAO(2)=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(208),"^",12),SRX=414,SRAO(3)=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P(SRA(206),"^",32),SRX=364.1 D DT S SRAO("1A")=X_"^"_SRX
- S Y=$P(SRA(208),"^",13),SRX=414.1 D DT S SRAO("3A")=X_"^"_SRX
- S Y=$P($G(^SRF(SRTN,.2)),"^",2),SRX=.22 D DT S SRAO(0)=X_"^"_SRX
- W !!,"V. OPERATIVE RISK SUMMARY DATA" S X=$P(SRAO(0),"^") W ?40,"(Operation Began: "_X_")"
- W !,?5,"Physician's Preoperative" S Y=$P($G(^SRF(SRTN,.2)),"^",3) D DT W ?40,"(Operation Ended: "_X_")"
+ S Y=$P(SRA(206),"^",32),SRX=364.1,SRAO("1A")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(208),"^",13),SRX=414.1,SRAO("3A")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P($G(^SRF(SRTN,.2)),"^",2),SRX=.22,SRAO(0)=$$OUT(SRX,Y)_"^"_SRX
+ W !!,"V. OPERATIVE RISK SUMMARY DATA" S X=$P(SRAO(0),"^") I X'="" W ?40,"(Operation Began: "_X_")"
+ W !,?5,"Physician's Preoperative" S Y=$P($G(^SRF(SRTN,.2)),"^",3) I Y'="" D DT W ?40,"(Operation Ended: "_X_")"
  W !,?7,"Estimate of Operative Mortality: "_$P(SRAO(1),"^") I $P(SRAO(1),"^")'=""&($P(SRAO(1),"^")'="NS") W "%"
  S X=$P(SRAO("1A"),"^") I X'="" W ?57,"("_X_")"
- W !,?5,"ASA Classification:",?35,$P(SRAO(2),"^")
- S X=$P(SRAO(3),"^") W !,?5,"Surgical Priority:",?($S($L(X)>10:24,1:35)),X S X=$P(SRAO("3A"),"^") I X'="" W ?57,"("_X_")"
+ W !,?5,"ASA Classification:",?35,$P(SRAO(2),"^"),!,?5,"Surgical Priority:",?35,$P(SRAO(3),"^") S X=$P(SRAO("3A"),"^") I X'="" W ?57,"("_X_")"
  S X=$P($G(^SRO(136,SRTN,0)),"^",2) I X S Y=$P($$CPT^ICPTCOD(X),"^",2) D SSPRIN^SROCPT0 S X=Y
  S X=$S(X'="":X,1:"CPT Code Missing")
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPCA3.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPCA3.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPCA3.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPCA3 ;B'HAM ISC/MAM - CARDIAC OCCURRENCE DATA ;02/05/08
- ;;3.0; Surgery ;**38,71,95,101,125,160,164,166**;24 Jun 93;Build 6
+SROAPCA3 ;B'HAM ISC/MAM - CARDIAC OCCURRENCE DATA ;08/23/07
+ ;;3.0; Surgery ;**38,71,95,101,125,160,164**;24 Jun 93;Build 2
  D EN^SROCCAT K SRA S SRA(205)=$G(^SRF(SRTN,205)),SRA(208)=$G(^SRF(SRTN,208)),SRA(206)=$G(^SRF(SRTN,206)),SRA(209)=$G(^SRF(SRTN,209))
  S NYUK=$P(SRA(208),"^") D YN S SRAO(1)=SHEMP_"^384"
@@ -32,18 +32,15 @@
  S SRA(.2)=$G(^SRF(SRTN,.2))
  W !!,"VIII. RESOURCE DATA"
- S Y=$P(SRA(208),"^",14) D DT^SROAPCA1 W !,"Hospital Admission Date:",?47,X
- S Y=$P(SRA(208),"^",15) D DT^SROAPCA1 W !,"Hospital Discharge Date:",?47,X
+ S Y=$P($G(^SRF(SRTN,208)),"^",14) D DT^SROAPCA1 W !,"Hospital Admission Date:",?47,X
+ S Y=$P($G(^SRF(SRTN,208)),"^",15) D DT^SROAPCA1 W !,"Hospital Discharge Date:",?47,X
  S Y=$P(SRA(.2),"^",10) D DT^SROAPCA1 W !,"Time Patient In  OR: ",?47,X
  S Y=$P(SRA(.2),"^",12) D DT^SROAPCA1 W !,"Time Patient Out OR: ",?47,X
- S Y=$P(SRA(208),"^",22) I Y>1 D DT^SROAPCA1 S Y=X
+ S Y=$P($G(^SRF(SRTN,208)),"^",22) I Y>1 D DT^SROAPCA1 S Y=X
  S Y=$S(Y="NS":"Unable to determine",Y="RI":"Remains intubated at 30 days",1:Y) W !,"Date and Time Patient Extubated: ",?47,Y
- I $P(SRA(208),"^",22)>1,$P(SRA(.2),"^",12) D
- .S X=$$FMDIFF^XLFDT($P(SRA(208),"^",22),$P(SRA(.2),"^",12),2) W !,?5,"Postop Intubation Hrs: "_$FN((X/3600),"+",1)
- S Y=$P(SRA(208),"^",23) I Y>1 D DT^SROAPCA1 S Y=X
+ S Y=$P($G(^SRF(SRTN,208)),"^",23) I Y>1 D DT^SROAPCA1 S Y=X
  S Y=$S(Y="NS":"Unable to determine",Y="RI":"Remains in ICU at 30 days",1:Y) W !,"Date and Time Patient Discharged from ICU: ",?47,Y
  S Y=$P(SRA(209),"^") W !,"Patient is Homeless: ",?47,$S(Y="Y":"YES",Y="N":"NO",Y="NS":"NS",1:"")
  S Y=$P(SRA(206),"^",41) W !,"Cardiac Surg Performed at Non-VA Facility: ",?47,$S(Y="Y":"YES",Y="N":"NO",Y="NS":"UNKNOWN",1:"")
  S Y=$P(SRA(209),"^",15) D DT^SROAPCA1 W !,"CT Surgery Consult Date: ",?47,$P(X," ")
- S Y=$P(SRA(209),"^",16),C=$P(^DD(130,515,0),"^",2) D:Y'="" Y^DIQ W !,"Cause for Delay for Surgery: ",?47,Y
  W !,"Resource Data Comments: "
  I $G(^SRF(SRTN,206.2))'="" S SRQ=0 S X=$G(^SRF(SRTN,206.2)) W:$L(X)<49 X,! I $L(X)>48 S Z=$L(X) D
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPM.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPM.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPM.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPM ;BIR/ADM - PATIENT DEMOGRAPHIC INFO ;03/03/08
- ;;3.0; Surgery ;**47,81,111,107,100,125,142,160,166**;24 Jun 93;Build 6
+SROAPM ;BIR/ADM - PATIENT DEMOGRAPHIC INFO ;01/23/07
+ ;;3.0; Surgery ;**47,81,111,107,100,125,142,160**;24 Jun 93;Build 7
  I '$D(SRTN) W !!,"A Surgery Risk Assessment must be selected prior to using this option.",!!,"Press <RET> to continue  " R X:DTIME G END
  S SRSOUT=0,SRSUPCPT=1 D ^SROAUTL
@@ -40,12 +40,7 @@
  I '$G(VADM(12)) W ?40,"UNANSWERED"
  ;
- K DA,DIC,DIQ,DR,SRY S (DR,SRDR)="342;516;513",DIC="^SRF(",DA=SRTN,DIQ="SRY",DIQ(0)="E",DR=SRDR D EN^DIQ1 K DA,DIC,DIQ,DR
- S SRZ=12 F M=1:1 S I=$P(SRDR,";",M)  Q:'I  D
- .D TR,GET
- .S SRZ=SRZ+1,Y=$P(X,";;",2),SRFLD=$P(Y,"^"),(Z,SRZ(SRZ))=$P(Y,"^",2)_"^"_SRFLD,SREXT=SRY(130,SRTN,SRFLD,"E")
- .W !,$S($L(SRZ)<2:" "_SRZ,1:SRZ)_". "_$P(Z,"^")_":" D EXT
- ;S SRZ=15,SRZ(13)="Date of Death^342",SREXT=SRY(130,SRTN,342,"E") W !,"13. Date/Time of Death:",?40,SREXT
- ;S SRZ(14)="Surgery Consult Date^513",SREXT=SRY(130,SRTN,513,"E") W !,"14. Surgery Consult Date:",?40,SREXT
- ;S SRZ(15)="Date Surgery Consult Requested^516",SREXT=SRY(130,SRTN,516,"E") W !,"15. Date Surgery Consult Requested:",?40,SREXT
+ K DA,DIC,DIQ,DR,SRY S (DR,SRDR)="342",DIC="^SRF(",DA=SRTN,DIQ="SRY",DIQ(0)="E",DR=SRDR D EN^DIQ1 K DA,DIC,DIQ,DR
+ S SRZ=13,SRZ(13)="Date of Death^342",SREXT=SRY(130,SRTN,342,"E")
+ W !,"13. Date/Time of Death:",?40,SREXT
  K SROL,SROLINE,SRORC,SRORACE,SROLN,SROLN1,SROWRAP,SRNUM1
  ;
@@ -81,5 +76,5 @@
  .F I=0:1:38 S J=39-I,Y=$E(X,J) I Y=" " W ?40,$E(X,1,J-1) S X=$E(X,J+1,$L(X)) Q
  Q
-SEL W !!,"Select Patient Demographics Information to Edit: " R X:DTIME I '$T!(X["^") S SRSOUT=1 Q
+SEL W !!,"Select number of item to edit: " R X:DTIME I '$T!(X["^") S SRSOUT=1 Q
  I (X=11)!(X=12) S SRR=1 W !!,"The Patient's Race and Ethnicity information cannot be updated through the" D  Q
  .W !,"Surgery package options."
@@ -98,5 +93,5 @@
  Q
 HELP W @IOF,!!!!,"Enter the number or range of numbers you want to edit.  Examples of proper",!,"responses are listed below.",!!,"NOTE: Items 11 and 12 cannot be updated through the surgery package options."
- W !!,"1. Enter 'A' to update items 1 through 10 and items 13 through 15.",!!,"2. Enter a number (1-"_SRZ_") to update an individual item.  (For example,",!,"   enter '1' to update "_$P(SRZ(1),"^")_")"
+ W !!,"1. Enter 'A' to update items 1 through 10 and item 13.",!!,"2. Enter a number (1-"_SRZ_") to update an individual item.  (For example,",!,"   enter '1' to update "_$P(SRZ(1),"^")_")"
  W !!,"3. Enter a range of numbers (1-"_SRZ_") separated by a ':' to enter a range",!,"   of items.  (For example, enter '1:4' to update items 1, 2, 3 and 4.)",!
  I $D(SRFLG) W !,"4. Enter 'N' or 'NO' to enter negative response for all items.",!!,"5. Enter '@' to delete information from all items.",!
@@ -105,7 +100,5 @@
 RANGE ; range of numbers
  I $$LOCK^SROUTL(SRTN) D  D UNLOCK^SROUTL(SRTN)
- .S SHEMP=$P(X,":"),CURLEY=$P(X,":",2) D
- ..I SHEMP<13 F EMILY=SHEMP:1:10,13:1:15 Q:SRSOUT  D ONE
- ..I SHEMP>12 F EMILY=SHEMP:1:15 Q:SRSOUT  D ONE
+ .S SHEMP=$P(X,":"),CURLEY=$P(X,":",2) F EMILY=SHEMP:1:10,13 Q:SRSOUT  D ONE
  Q
 ONE ; edit one item
@@ -130,4 +123,2 @@
 DEC ;;453^Observation Discharge Date/Time
 DED ;;454^Observation Treating Specialty
-EAC ;;513^Surgery Consult Date
-EAF ;;516^Date Surgery Consult Requested
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPRE.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPRE.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPRE.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPRE ;BIR/MAM - PREOPERATIVE INFO ;11/26/07
- ;;3.0; Surgery ;**38,47,55,88,100,125,142,166**;24 Jun 93;Build 6
+SROAPRE ;BIR/MAM - PREOPERATIVE INFO ;06/03/05
+ ;;3.0; Surgery ;**38,47,55,88,100,125,142**;24 Jun 93
  I '$D(SRTN) W !!,"A Surgery Risk Assessment must be selected prior to using this option.",!!,"Press <RET> to continue  " R X:DTIME G END
  S (SRSOUT,SRACLR)=0,SRSUPCPT=1 D ^SROAUTL,DUP^SROAUTL G:SRSOUT END
@@ -20,13 +20,19 @@
  .I $$LOCK^SROUTL(SRTN) W ! D:EMILY<4 ^SROAPRE1 D:EMILY>3 ^SROAPR1A D UNLOCK^SROUTL(SRTN)
  I $D(SRAO(X)),$$LOCK^SROUTL(SRTN) D  D UNLOCK^SROUTL(SRTN)
- .I X="1H" D FUNCTH Q
+ .I X="1J" D FUNCTI Q
+ .I X="1I" D FUNCTJ Q
  .S SRX=X W ! K DR,DIE S DA=SRTN,DR=$P(SRAO(X),"^",2)_"T",DIE=130 D ^DIE K DR
  G START
 END I '$D(SREQST) W @IOF D ^SRSKILL
  Q
-FUNCTH N X K DA,DIR S DA=SRTN,DIR(0)="130,492",DIR("A")="Functional Health Status at Evaluation for Surgery" D ^DIR K DIR D  Q
+FUNCTI N X K DA,DIR S DA=SRTN,DIR(0)="130,492",DIR("A")="Functional Health Status at Evaluation for Surgery" D ^DIR K DIR D  Q
  .I $D(DTOUT)!$D(DUOUT) Q
  .I X="@" K DIE,DR S DIE=130,DR="492///@" D ^DIE K DA,DIE,DR Q
  .K DIE,DR S DIE=130,DR="492////"_Y D ^DIE K DA,DIE,DR
+ Q
+FUNCTJ N X K DA,DIR S DA=SRTN,DIR(0)="130,240",DIR("A")="Functional Health Status Prior to Current Illness" D ^DIR K DIR D  Q
+ .I $D(DTOUT)!$D(DUOUT) Q
+ .I X="@" K DIE,DR S DIE=130,DR="240///@" D ^DIE K DA,DIE,DR Q
+ .K DIE,DR S DIE=130,DR="240////"_Y D ^DIE K DA,DIE,DR
  Q
 HELP W @IOF,!!!!,"Enter the number, number/letter combination, or range of numbers you want to",!,"edit.  Examples of proper responses are listed below."
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPRE1.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPRE1.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPRE1.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPRE1 ;BIR/MAM - EDIT PAGE 1 PREOP ;11/26/07
- ;;3.0; Surgery ;**38,47,125,135,141,166**;24 Jun 93;Build 6
+SROAPRE1 ;B'HAM ISC/MAM - EDIT PAGE 1 PREOP ;01/05/05
+ ;;3.0; Surgery ;**38,47,125,135,141**;24 Jun 93
  K DA D @EMILY Q
 1 ; edit general information
@@ -25,6 +25,11 @@
 GEN ; general
  N SRUP S SRUP=""
- W ! K DR,DIE S DA=SRTN,DIE=130,DR="236T;237T;346T;202T;246T;325T;238T" D ^DIE K DIE,DR I $D(Y) Q
- K DIR S DA=SRTN,DIR(0)="130,492",DIR("A")="Functional Health Status at Evaluation for Surgery" D ^DIR K DIR D
+ W ! K DR,DIE S DA=SRTN,DIE=130,DR="236T;237T;346T;202T;202.1T;246T;325T;238T" D ^DIE K DIE,DR I $D(Y) Q
+ K DIR S DA=SRTN,DIR(0)="130,240",DIR("A")="Functional Health Status Prior to Current Illness" D ^DIR K DIR D  Q:SRUP
+ .I $D(DTOUT) Q
+ .I $D(DUOUT) S SRUP=1 Q
+ .I X="@" K DIE,DR S DIE=130,DR="240///@" D ^DIE K DA,DIE,DR Q
+ .K DIE,DR S DIE=130,DR="240////"_Y D ^DIE K DA,DIE,DR
+ S DA=SRTN,DIR(0)="130,492",DIR("A")="Functional Health Status at Evaluation for Surgery" D ^DIR K DIR D
  .I $D(DTOUT)!$D(DUOUT) Q
  .I X="@" K DIE,DR S DIE=130,DR="492///@" D ^DIE K DA,DIE,DR Q
@@ -34,5 +39,5 @@
 NOGEN ; no general problems
  S $P(^SRF(SRTN,200),"^",6)=$S(X="":"",1:1) F I=2,3,4,7 S $P(^SRF(SRTN,200),"^",I)=SRAX
- S $P(^SRF(SRTN,200.1),"^",2)=$S(X="":"",X="NS":"NS",1:1)
+ S $P(^SRF(SRTN,200),"^",8)=$S(X="":"",X="NS":"NS",1:1),$P(^SRF(SRTN,208),"^",9)=$S(X="":"",X="NS":"NS",1:0),$P(^SRF(SRTN,200.1),"^",2)=$S(X="":"",X="NS":"NS",1:1)
  Q
 PULM ; pulmonary
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPRE2.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPRE2.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPRE2.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPRE2 ;BIR/MAM - EDIT PAGE 2 PREOP ;11/26/07
- ;;3.0; Surgery ;**38,47,125,153,166**;24 Jun 93;Build 6
+SROAPRE2 ;BIR/MAM - EDIT PAGE 2 PREOP ;06/27/06
+ ;;3.0; Surgery ;**38,47,125,153**;24 Jun 93;Build 11
  D @EMILY Q
 1 ; edit renal information
@@ -31,9 +31,9 @@
  Q
 CNS ; cns
- W ! K DR,DIE S DIE=130,DA=SRTN,DR="332T;333T;400T;334T;335T;336T;401T;" D ^DIE K DR,DIE
+ W ! K DR,DIE S DIE=130,DA=SRTN,DR="332T;333T;400T;334T;335T;336T;401T;399T;398T;" D ^DIE K DR,DIE
  S SRACLR=0
  Q
 NOCNS ; no CNS problems
- F I=19,21,24:1:27,29 S $P(^SRF(SRTN,200),"^",I)=SRAX
+ F I=19,21:1:27,29 S $P(^SRF(SRTN,200),"^",I)=SRAX
  Q
 NUT ; nutritional/immune/other
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPRT1.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPRT1.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPRT1.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPRT1 ;BIR/MAM - PREOP INFO (PAGE 1) ;11/28/07
- ;;3.0; Surgery ;**38,47,125,153,166**;24 Jun 93;Build 6
+SROAPRT1 ;BIR/MAM - PREOP INFO (PAGE 1) ;02/23/06
+ ;;3.0; Surgery ;**38,47,125,153**;24 Jun 93;Build 11
  N SRX,Y F I=200,206 S SRA(I)=$G(^SRF(SRTN,I))
  S Y=$P(SRA(200),"^"),SRX=402,SRAO(1)=$$OUT(SRX,Y)_"^"_SRX
@@ -7,8 +7,10 @@
  S Y=$P(SRA(200),"^",2),SRX=346,SRAO("1C")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",3),SRX=202,SRAO("1D")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P(SRA(200),"^",4),SRX=246,SRAO("1E")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P(SRA(200),"^",6),SRX=325,SRAO("1F")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P(SRA(200),"^",7),SRX=238,SRAO("1G")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P($G(^SRF(SRTN,200.1)),"^",2),SRX=492,SRAO("1H")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P($G(^SRF(SRTN,208)),"^",9),SRX=202.1,SRAO("1E")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",4),SRX=246,SRAO("1F")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",6),SRX=325,SRAO("1G")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",7),SRX=238,SRAO("1H")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",8),SRX=240,SRAO("1I")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P($G(^SRF(SRTN,200.1)),"^",2),SRX=492,SRAO("1J")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",9),SRX=241,SRAO(2)=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",10),SRX=204,SRAO("2A")=$$OUT(SRX,Y)_"^"_SRX
@@ -30,13 +32,16 @@
  S Y=$P(SRA(200),"^",42),SRX=330,SRAO("6B")=$$OUT(SRX,Y)_"^"_SRX
  W:$E(IOST)="P" ! W !,?28,"PREOPERATIVE INFORMATION",!!
- W "GENERAL:",?31,$P(SRAO(1),"^"),?40,"GASTROINTESTINAL:",?72,$P(SRAO(4),"^")
- W !,"Height: ",?22,$J($P(SRAO("1A"),"^"),15),?40,"Esophageal Varices:",?72,$P(SRAO("4A"),"^")
+ W "GENERAL:",?31,$P(SRAO(1),"^"),?40,"HEPATOBILIARY:",?72,$P(SRAO(3),"^")
+ W !,"Height: ",?22,$J($P(SRAO("1A"),"^"),15),?40,"Ascites:",?72,$P(SRAO("3A"),"^")
  W !,"Weight:",?22,$J($P(SRAO("1B"),"^"),15)
- W !,"Diabetes Mellitus:",?31,$P(SRAO("1C"),"^"),?40,"CARDIAC:",?72,$P(SRAO(5),"^")
- W !,"Current Smoker W/I 1 Year:",?31,$P(SRAO("1D"),"^"),?40,"CHF Within 1 Month:",?72,$P(SRAO("5A"),"^")
- W !,"ETOH > 2 Drinks/Day:",?31,$P(SRAO("1E"),"^"),?40,"MI Within 6 Months:",?72,$P(SRAO("5B"),"^")
- W !,"Dyspnea: ",?13,$J($P(SRAO("1F"),"^"),25),?40,"Previous PCI:",?72,$P(SRAO("5C"),"^")
- W !,"DNR Status: ",?31,$P(SRAO("1G"),"^"),?40,"Previous Cardiac Surgery:",?72,$P(SRAO("5D"),"^")
- W !,"Preop Funct Status: ",$J($P(SRAO("1H"),"^"),17),?40,"Angina Within 1 Month:",?72,$P(SRAO("5E"),"^")
+ W !,"Diabetes Mellitus:",?31,$P(SRAO("1C"),"^"),?40,"GASTROINTESTINAL:",?72,$P(SRAO(4),"^")
+ W !,"Current Smoker W/I 1 Year:",?31,$P(SRAO("1D"),"^"),?40,"Esophageal Varices:",?72,$P(SRAO("4A"),"^")
+ W !,"Pack/Years:",?31,$P(SRAO("1E"),"^")
+ W !,"ETOH > 2 Drinks/Day:",?31,$P(SRAO("1F"),"^"),?40,"CARDIAC:",?72,$P(SRAO(5),"^")
+ W !,"Dyspnea: ",?13,$J($P(SRAO("1G"),"^"),25),?40,"CHF Within 1 Month:",?72,$P(SRAO("5A"),"^")
+ W !,"DNR Status: ",?31,$P(SRAO("1H"),"^"),?40,"MI Within 6 Months:",?72,$P(SRAO("5B"),"^")
+ W !,"Pre-illness Funct",?40,"Previous PCI:",?72,$P(SRAO("5C"),"^")
+ W !,?12,"Status: ",$J($P(SRAO("1I"),"^"),17),?40,"Previous Cardiac Surgery:",?72,$P(SRAO("5D"),"^")
+ W !,"Preop Funct Status: ",$J($P(SRAO("1J"),"^"),17),?40,"Angina Within 1 Month:",?72,$P(SRAO("5E"),"^")
  W !,?40,"Hypertension Requiring Meds:",?72,$P(SRAO("5F"),"^")
  W !,"PULMONARY:",?31,$P(SRAO(2),"^")
@@ -44,5 +49,4 @@
  W !,"History of Severe COPD:",?31,$P(SRAO("2B"),"^"),?40,"Revascularization/Amputation:",?72,$P(SRAO("6A"),"^")
  W !,"Current Pneumonia:",?31,$P(SRAO("2C"),"^"),?40,"Rest Pain/Gangrene:",?72,$P(SRAO("6B"),"^")
- W !!,"HEPATOBILIARY:",?31,$P(SRAO(3),"^"),!,"Ascites:",?31,$P(SRAO("3A"),"^")
  Q
 OUT(SRFLD,SRY) ; get data in output form
